<?php

session_start();
if($HTTP_SESSION_VARS['dbName']==""){
header("location:../index.php");
}


include("config.inc.php");


$connection = mysql_connect($config['dbServer'],$config['dbUser'],$config['dbPass'])
		or die("Could not connect to DB");

 
mysql_select_db($HTTP_SESSION_VARS['dbName'],$connection) or die("Could not find DB");

$query1="select grid_color1,grid_color2 from setup";
$result1=mysql_query($query1,$connection) or die(mysql_error());
while($rows=mysql_fetch_array($result1)){
extract($rows);

}





?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>List of Warehouses</title>
<script type="text/javascript" language="javascript">

function clearform()
{
  document.form1.PLedger_number.value='';


}
</script>
<style type="text/css">
<!--
body,td,th {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 14px;
}
.style1 {
	color: #333333;
	font-weight: bold;
}
.style2 {
	color: #999999;
	font-weight: bold;
}
.style3 {color: #999999}
-->
</style></head>

<body>
<form id="form1" name="form1" method="post" action="">
  <table width="800" border="0" align="center">
    <tr>
      <th colspan="3" bgcolor="#DDDDDD"><span class="style1"> Warehouse </span></th>
    </tr>
    <tr>
      <td bgcolor="#DDDDDD"> <span style="font-size: 11px; color: #999999; font-weight: bold;">Search for Warehouse <br> Code / Name</span></td>
      <td bgcolor="#DDDDDD" colspan=2><input type="text" name="PLedger_number" value="<?php echo $PLedger_number; ?>"  />
        <input name="code1" type="hidden" id="code1"  value="<?php echo $lcode; ?>">
	


        <?php echo"<input type='hidden' name='Warehouse' value='$Warehouse'>";?><input name="desc1" type="hidden" id="desc1" value="<?php echo $desc1; ?>" />
	    <input type="submit" name="Submit" value="Find" style=' background-color:#4069A7; color:#FFFFFF;font-family:Verdana, Arial, Helvetica, sans-serif; font-size:12px;'/>
		<input type="button" name="cancelbtn" value="Cancel" onclick='clearform();'style=' background-color:#4069A7; color:#FFFFFF;font-family:Verdana, Arial, Helvetica, sans-serif; font-size:12px;'/></td>

	                    
    </tr>
<?php if($post=="1") { ?>
<script type="text/javascript" language="javascript">

if (document.form1.Warehouse.value==0)
{
opener.document.transfer.fromwarehouse.value=document.form1.code1.value;
opener.document.transfer.submit();
}
else
opener.document.transfer.towarehouse.value=document.form1.code1.value;
self.close();


</script>
<?php } ?>
    <tr bgcolor="#E5E5E5">
      <td width="136"><span class="style2">Warehouse Code </span></td>
      <td width="411" colspan="2"><span class="style2">Warehouse  Name </span></td>
      
    </tr>
<?php	
	// default warehouse
	$query="select Warehouse_code from ".$HTTP_SESSION_VARS['dbLabel'].".loginstk where default_warehouse = 1 and user_account='".$HTTP_SESSION_VARS['useraccount']."'";
	$defaultwarehouse=mysql_query($query,$connection) or die(mysql_error());
	$rows = mysql_fetch_row($defaultwarehouse);
	$defaultwarehousecode = $rows[0];
							
	if ($fromwarehouse=='')
	$fromwarehouse = $defaultwarehousecode;

	$sqlwarehouse = "select warehouse_code,warehouse_name from warehouse where warehouse_code in 
			(select warehouse_code from ".$HTTP_SESSION_VARS['dbLabel'].".loginstk where user_account='".$HTTP_SESSION_VARS['useraccount']."')";
	$resultdefaultwarehouse=mysql_query($sqlwarehouse,$connection) or die(mysql_error());
							
	$sqlwarehouse1 = "select warehouse_code,warehouse_name from warehouse	where warehouse_code in 
			(select warehouse_code from ".$HTTP_SESSION_VARS['dbLabel'].".loginstk where user_account='".$HTTP_SESSION_VARS['useraccount']."')";
			
		if(mysql_num_rows($resultdefaultwarehouse)=="0")
			{
				$sqlwarehouse = "select warehouse_code,warehouse_name	from warehouse";							
				$sqlwarehouse1 = "select warehouse_code,warehouse_name from warehouse";	
			}									
			else
			if (($edit=='yes' or sref!='') and $fromwarehouseedit!='')
			{
				$sqlwarehouse = "select '".$fromwarehouseedit."' , '".$fromwarehousenameedit."' from dual union " . $sqlwarehouse;
				$sqlwarehouse1 = "select '".$towarehouseedit."' , '".$towarehousenameedit."' from dual union " . $sqlwarehouse1;			
			}
			$sqlwarehouse = $sqlwarehouse . " where warehouse.warehouse_code like '".$PLedger_number."%' ";
			
			$sqlwarehouse = $sqlwarehouse . " order by warehouse_code ";
			$sqlwarehouse1 = $sqlwarehouse1 . " order by warehouse_code ";

$warehouseresultfrom=mysql_query($sqlwarehouse,$connection) or die(mysql_error());
$warehouseresultto=mysql_query($sqlwarehouse1,$connection) or die(mysql_error());
// enddddddddddddd default warehouse

while($rows=mysql_fetch_array($warehouseresultfrom)){


$ct+=1;

if($ct%2==0)
{
	$Color="style='color:#0000FF;background-color:".$grid_color1."'";
	
	}else{
		
	$Color="style='color:#0000FF;background-color:".$grid_color2."'";	
}

?>
    <tr <?php echo $Color; ?>>
      <td align="left"><a href="List_TrsWarehouse.php?post=1&lcode=<?php echo ereg_replace("&","%26",$rows[0]); ?>&desc1=<?php echo ereg_replace("&","%26",$rows[1]); ?>&Warehouse=<?php echo $Warehouse; ?>"><?php echo $rows[0]; ?></a></td>
      <td colspan="2"><a href="List_TrsWarehouse.php?post=1&lcode=<?php echo ereg_replace("&","%26",$rows[0]); ?>&desc1=<?php echo ereg_replace("&","%26",$rows[1]) ?>&Warehouse=<?php echo $Warehouse; ?>"><?php echo $rows[1]; ?></a></td>

    </tr>
<?php
}

function explodeword($date)
{

$trim = explode('/',$date);
$trim = "$trim[2]"."-"."$trim[1]"."-"."$trim[0]";
return $trim;
}
?>
  </table>
</form>
</body>
</html>

